REM http://www.hdfgroup.org/ftp/HDF5/current/src/hdf5-1.8.11.tar.bz2

set OSGEO4W_ROOT=C:\OSGeo4W64
set P=hdf5
set V=1.8.11
set B=2

set R=..\..\..\x86_64\release\%P%
mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x64
echo on
path %pf%\CMake 2.8\bin;%pf%\Microsoft Visual Studio 10.0\Common7\IDE;c:\cygwin\bin;%PATH%

mkdir build64
cd build64

cmake -G "Visual Studio 10 Win64" ^
	-D HDF5_BUILD_HL_LIB=ON ^
	-D BUILD_SHARED_LIBS=ON ^
	-D HDF5_ENABLE_Z_LIB_SUPPORT=ON ^
	-D HDF5_ENABLE_SZIP_SUPPORT=ON ^
	-D SZIP_LIBRARY_RELEASE=%OSGEO4W_ROOT%\lib\szip.lib ^
	-D SZIP_INCLUDE_DIR=%OSGEO4W_ROOT%\include ^
	-D CMAKE_INSTALL_PREFIX=../install64 ^
	-D HDF5_INSTALL_DATA_DIR=. ^
	-D HDF5_INSTALL_CMAKE_DIR=share/cmake ^
	-D ZLIB_ROOT=%OSGEO4W_ROOT% ^
	../..
if errorlevel 1 (echo cmake error ^ goto error)

devenv HDF5.sln /Project ALL_BUILD /Clean Release
if errorlevel 1 (echo build error ^ goto error)

devenv HDF5.sln /Project ALL_BUILD /Build Release
if errorlevel 1 (echo build error ^ goto error)


devenv HDF5.sln /Project INSTALL /Build Release
if errorlevel 1 (echo install error ^ goto error)

cd ..

copy setup.hint %R%\setup.hint
copy ..\COPYING %R%\%P%-%V%-%B%.txt

tar -C install64 -cjf %R%\%P%-%V%-%B%.tar.bz2 include lib share bin/hdf5.dll bin/hdf5_hl.dll
if errorlevel 1 (echo tar error ^ goto error)
tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 osgeo4w/package64.cmd osgeo4w/setup.hint
if errorlevel 1 (echo tar error ^ goto error)

exit

:error
exit 1
